Loading...
Searching...
No Matches
QXmppHttpUploadService Class Reference

QXmppHttpUploadService represents an HTTP File Upload service. More...

## Public Member Functions

QString | jid () const
| Returns the JID of the HTTP File Upload service.
void | setJid (const QString &jid)
| Sets the JID of the HTTP File Upload service.
std::optional< quint64 > | sizeLimit () const
void | setSizeLimit (std::optional< quint64 > sizeLimit)
| Sets the size limit of files that can be uploaded to this upload service.

## Detailed Description

QXmppHttpUploadService represents an HTTP File Upload service.

It is used to store the JID and maximum file size for uploads.

## Member Function Documentation

## sizeLimit()

std::optional< quint64 > QXmppHttpUploadService::sizeLimit | ( |  | ) | const

Returns the size limit of files that can be uploaded to this upload service.

The documentation for this class was generated from the following files:

- QXmppHttpUploadManager.h
- QXmppHttpUploadManager.cpp